Echo on
REM  DigiStamp SecureTime Java API Toolkit
REM    Enable Windows File Explorer "Send To" retrieve a timestamp for that file.
REM    Parameter:  the file name of the file to be timestamped will be passed in by "Send To"
REM
REM    Output: file containing the RFC3161 timestamp.   
REM       The file name will be your input file name with .p7s filetype
REM
REM    You can verify your timestamps here: https://www.digistamp.com/account/verify.jsp

REM Enable in File Explorer a "Right Click" to timestamp a file:  you can put this .bat file in "shell:sendto" 
REM    Install the API to a directory like below.  Change the directory name below and uncomment the next line.
set DIGISTAMP_DIR=C:\PersonalPrograms\DigiStamp

REM If there are problems, un-REM the DEBUG line below to enable verbose tracing
set DEBUG=
REM set DEBUG=-Djava.util.logging.config.file="%DIGISTAMP_DIR%\logging.properties

REM If you see error: Could not find or load main class com.digistamp.tsp.demo.CreateTimestamp
REM Possible problem source, this is not set correctly:
REM      set DIGISTAMP_DIR=  (see above)

java %DEBUG% -cp "%DIGISTAMP_DIR%\lib\*" -Duser.dir="%DIGISTAMP_DIR%"  com.digistamp.tsp.demo.CreateTimestamp %1

pause