Echo off
REM SecureTime Java API Toolkit

REM  DigiStamp SecureTime Java API
REM    Demo Program
REM    Parameter:  the file name of the file to be timestamped
REM
REM    Output: file containing the RFC3161 timestamp.   
REM       The file name will be your input file name with .p7s filetype
REM
REM    You can verify your timestamps here: https://www.digistamp.com/account/verify.jsp

REM If there are problems, un-REM the DEBUG line below to enable verbose tracing
SET DEBUG=
REM SET DEBUG=-Djava.util.logging.config.file=logging.properties

SET fileIn=%1

if .%1==. SET fileIn=readMe.txt

echo start process to retrieve timestamp for file: %fileIn%
java %DEBUG% -cp .;.\lib\* com.digistamp.tsp.demo.CreateTimestamp %fileIn%

java %DEBUG% -cp .;.\lib\* com.digistamp.tsp.demo.VerifyTimestamp %fileIn%.p7s %fileIn%

pause